## rail 1.2.10

=== Makefile ===
#
# Makefile for rail
#
# $Lastupdate: 2013/07/08 16:28:22$
#

LISPDIR	= default
PACKAGEDIR	= default

EMACS	= emacs
#EMACS	= mule
XEMACS	= xemacs
MANIFEST= contrib/MANIFEST.rail

MULEVER	= contrib/MULE_VERSION
MW32VER	= contrib/MEADOW_VERSION
FLIMVER	= contrib/FLIM_VERSION contrib/ADD_FLIM_VERSION
SEMIVER	= contrib/SEMI_VERSION contrib/ADD_SEMI_VERSION
RAILVER = $(shell grep rail-version rail-vars.el | awk '{print $$3}')
MAKE	=	make.el

#
# You shouldn't need to change anything after this point.
#

CAT	= cat
ECHO	= echo
TEST	= test
MKDIR	= mkdir
INSTALL	= install
PERL	= perl
INSTALL_DATA	= $(INSTALL) -m644

LISPS	= rail.el rail-user-agent.el
MTABLES	= rail-table-flim.el rail-table-semi.el
TABLES	= rail-table-mule.el rail-table-meadow.el $(MTABLES)

all: rail
install: install-rail

# rail
rail: table
	$(EMACS) -q -no-site-file -batch -l ./$(MAKE) -f compile-rail

install-rail: rail
	$(EMACS) -q -no-site-file -batch -l ./$(MAKE) -f install-rail $(LISPDIR)

# rail-*-table rebuild
table: $(TABLES)

rail-table-mule.el: $(MULEVER)
	$(EMACS) -batch -q -no-site-file -l ./rail-make-table.el -f rail-make-table-mule

rail-table-meadow.el: $(MW32VER)
	$(EMACS) -batch -q -no-site-file -l ./rail-make-table.el -f rail-make-table-meadow

rail-table-flim.el: $(FLIMVER)
	$(EMACS) -batch -q -no-site-file -l ./rail-make-table.el -f rail-make-table-flim

rail-table-semi.el: $(SEMIVER)
	$(EMACS) -batch -q -no-site-file -l ./rail-make-table.el -f rail-make-table-semi

# for XEmacs21 package
package: $(TABLES)
	$(XEMACS) -q -no-site-file -batch -l ./$(MAKE) -f compile-rail

install-package: package
	$(XEMACS) -q -no-site-file -batch -l ./$(MAKE) -f install-package $(PACKAGEDIR)

# clean up
clean:
	-rm -f *~ *.elc

distclean:
	-rm -f *~ *.elc $(MTABLES)

maintainer-clean:
	-rm -f *~ *.elc $(TABLES)

cl: git2cl
git2cl:
	@git log --date=short --pretty=format:"%ad %an <%ae>%n%n%s%n%b%n" | \
	sed -e 's/^\(.*\)$$/\t\1/g' | \
	sed -e 's/^\t\([0-9]*-[0-9]*-[0-9]*.*\)$$/\1/g' | \
	sed -e 's/^\t$$//g' | \
	sed ':loop; N; $$!b loop; s/\n\n\n/\n\n/g' \
	> ChangeLog
# create tar.gz
tar:
	@git archive --format=tar --prefix=rail-$(RAILVER)/ HEAD \
	  | gzip -9 > ../rail-$(RAILVER).tar.gz

## rail 1.2.6

=== debian/changelog ===
rail (1.2.6-2) unstable; urgency=low

  * control: add emacs-snapshot into Depends (Closes: #585026)
  * emacsen-install: create *.el symlink (Closes: #585025)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 09 Jun 2010 17:48:06 +0900

rail (1.2.6-1) unstable; urgency=low

  * Initial release (Closes: #557515)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 20 Mar 2010 14:05:30 +0000

=== debian/control ===
Source: rail
Section: lisp
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~)
Standards-Version: 3.8.4

Package: rail
Architecture: all
Depends: ${misc:Depends}, emacs | emacs22 | emacs23 | emacs-snapshot, flim
Description: Replace Agent-string Internal Library
 RAIL is a elisp library, translates codenames with latin chars of
 FLIM/SEMI/XEmacs/UTF-2000-Mule/Meadow to Japanese characters (On
 irchat-pj, Japanize code name for "CTCP VERSION" return string). It
 also provides a function compatible with genjis.el (a partof tm, that
 converts mule-version to Japanese characters).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt 

# Commands not to run
override_dh_auto_build override_dh_auto_test:

override_dh_auto_install:
	dh_install *.el $(DEB_DESTDIR)usr/share/emacs/site-lisp/rail
override_dh_installdocs:
	dh_installdocs 00README 00FAQ
override_dh_auto_clean:
	$(MAKE) clean

## rail 1.2.10

=== debian/changelog ===
rail (1.2.10-1) unstable; urgency=low

  * Imported Upstream version 1.2.10

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 08 Jul 2013 16:37:27 +0900

rail (1.2.9-2) unstable; urgency=low

  * Add Depends: flim (Closes: #714078)
    + Rail depends mime-def.el, provided flim.
      Thanks to Andreas Beckmann!

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 27 Jun 2013 03:07:39 +0900

rail (1.2.9-1) unstable; urgency=low

  * Imported Upstream version 1.2.9
  * Fix Vcs-* field: Thanks to Tatsuya Kinoshita (Closes: #712136)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 13 Jun 2013 21:12:47 +0900

rail (1.2.8-1) unstable; urgency=low

  * Imported Upstream version 1.2.8
    + Support newer SEMI(Closes: #711721), Thanks to Tatsuya Kinoshita !
  * Bump standard version: 3.9.4
  * Update debian/copyright:
    + Refresh copyright-format/1.0
    + Change upstream maintainer
  * Update debian/rules: 
    + Use dh_auto_test for create rail-table*.el
    + Add debian/rail.docs
  * Drop patches: merge upstream
  * Add debian/watch

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 20 May 2013 02:05:52 +0900

=== debian/control ===
Source: rail
Section: lisp
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~)
Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/users/uwabami-guest/rail.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/uwabami-guest/rail.git;a=summary
Homepage: http://uwabami.github.io/rail/

Package: rail
Architecture: all
Depends: ${misc:Depends}, emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, flim
Description: Replace Agent-string Internal Library
 RAIL is a elisp library, translates codenames with latin chars of
 FLIM/SEMI/XEmacs/UTF-2000-Mule/Meadow to Japanese characters (On
 irchat-pj, Japanize code name for "CTCP VERSION" return string).
 .
 It also provides a function compatible with genjis.el (a part of tm,
 that converts mule-version to Japanese characters).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt 

# Commands not to run
override_dh_auto_test:

override_dh_auto_build:
	$(MAKE) table

override_dh_auto_install:
	dh_install *.el $(DEB_DESTDIR)usr/share/emacs/site-lisp/rail

override_dh_auto_clean:
	$(MAKE) maintainer-clean

## rail 1.2.11

=== Makefile ===
--- 
+++ 
@@ -79,7 +79,7 @@
 
 cl: git2cl
 git2cl:
-	@git log --date=short --pretty=format:"%ad %an <%ae>%n%n%s%n%b%n" | \
+	@git log --date=short --pretty=format:"%ad  %an  <%ae>%n%n* %s%n%b%n" | \
 	sed -e 's/^\(.*\)$$/\t\1/g' | \
 	sed -e 's/^\t\([0-9]*-[0-9]*-[0-9]*.*\)$$/\1/g' | \
 	sed -e 's/^\t$$//g' | \

=== debian/changelog ===
rail (1.2.11-3) unstable; urgency=medium

  * Support emacsen >= 2.0.0
    - Add Conflicts: emacsen-common (<< 2.0.0)
    - Add postinst, prerm

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 09 Mar 2014 15:53:00 +0900

rail (1.2.11-2) unstable; urgency=medium

  * Add debian/source/local-options: unapply-patches
  * Update Depends
  * Bump Standard-Version: 3.9.5, compat: 9
  * Refresh debian/rules
  * Update emacsen-*: explicit set -e
  * Fix emacsen-install (Closes: #714078)
    + stop byte-compile when mime-def.elc is not available
      Thanks to Tatsuya Kinoshita!

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 01 Mar 2014 21:59:42 +0900

rail (1.2.11-1) unstable; urgency=low

  * Imported Upstream version 1.2.11

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 31 Aug 2013 18:24:27 +0900

=== debian/control ===
Source: rail
Section: lisp
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: emacs | emacs24 | emacs23
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/users/uwabami-guest/rail.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/uwabami-guest/rail.git;a=summary
Homepage: http://uwabami.github.io/rail/

Package: rail
Architecture: all
Depends: ${misc:Depends}, emacs | emacsen, flim
Conflicts: emacsen-common (<< 2.0.0)
Description: Replace Agent-string Internal Library
 RAIL is a elisp library, translates codenames with latin chars of
 FLIM/SEMI/XEmacs/UTF-2000-Mule/Meadow to Japanese characters (On
 irchat-pj, Japanize code name for "CTCP VERSION" return string).
 .
 It also provides a function compatible with genjis.el (a part of tm,
 that converts mule-version to Japanese characters).

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with quilt 
+	dh $@
 
 # Commands not to run
 override_dh_auto_test:

## rail 1.2.12

=== Makefile ===
#
# Makefile for rail
#
# $Lastupdate: 2018-08-19 19:39:50$
#

ifeq (, $(shell which cask))
  EMACS = emacs
else
  EMACS = cask exec emacs
endif
MANIFEST= contrib/MANIFEST.rail
MULEVER	= contrib/MULE_VERSION
FLIMVER	= contrib/FLIM_VERSION contrib/ADD_FLIM_VERSION
SEMIVER	= contrib/SEMI_VERSION contrib/ADD_SEMI_VERSION
RAILVER = $(shell grep rail-version rail-vars.el | awk '{print $$3}')

TABLES	?= rail-table-flim.el
TABLES	+= rail-table-semi.el
TABLES	+= rail-table-mule.el
EL		?= $(TABLES)
EL		+= rail.el
EL		+= rail-common.el
EL		+= rail-vars.el
EL		+= rail-user-agent.el
ELC		= $(EL:%.el=%.elc)
ELFLAGS = -q -no-site-file -batch

%.elc: %.el
	$(EMACS) $(ELFLAGS) -L . -f batch-byte-compile $<

all: $(ELC)

# rail
rail.el: $(TABLES)

rail-table-mule.el: $(MULEVER)
	$(EMACS) $(ELFLAGS) -l ./contrib/rail-make-table.el -f rail-make-table-mule

rail-table-flim.el: $(FLIMVER)
	$(EMACS) $(ELFLAGS) -l ./contrib/rail-make-table.el -f rail-make-table-flim

rail-table-semi.el: $(SEMIVER)
	$(EMACS) $(ELFLAGS) -l ./contrib/rail-make-table.el -f rail-make-table-semi

# clean up
clean:
	-rm -f $(ELC)

distclean: maintainer-clean

maintainer-clean:
	-rm -f *~ $(ELC) $(TABLES)

test: run-test
run-test: $(ELC)
	$(EMACS) $(ELFLAGS) -L . -l test/run-test.el

cl: git2cl
git2cl:
	@git log --date=short --pretty=format:"%ad  %an  <%ae>%n%n* %s%n%b%n" | \
	sed -e 's/^\(.*\)$$/\t\1/g' | \
	sed -e 's/^\t\([0-9]*-[0-9]*-[0-9]*.*\)$$/\1/g' | \
	sed -e 's/^\t$$//g' | \
	sed ':loop; N; $$!b loop; s/\n\n\n/\n\n/g' \
	> ChangeLog
# create tar.gz
release:
	@git archive --format=tar --prefix=rail-$(RAILVER)/ HEAD \
	  | gzip -9 > ../rail-$(RAILVER).tar.gz

=== debian/changelog ===
rail (1.2.12-1) unstable; urgency=medium

  * New upstream version 1.2.12
  * Fix vcs-field
  * Fix long description
  * d/control: Bump Standard-Version 4.2.0
  * d/{control,compat}: Bump compat 11
  * d/copyright: fix insecure-copyright-format-uri, update-year
  * Use dh_elpa for emacs packages.el

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 19 Aug 2018 21:01:22 +0900

rail (1.2.11-4) unstable; urgency=medium

  * Update Vcs-* field
  * Bump Standard Version: 4.1.3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 29 Jan 2018 02:11:50 +0900

=== debian/control ===
Source: rail
Section: editors
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 11), dh-elpa
Build-Depends-Indep: emacs | emacsen, semi
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/uwabami-guest/rail.git
Vcs-Browser: https://salsa.debian.org/uwabami-guest/rail
Homepage: http://uwabami.github.io/rail/

Package: rail
Architecture: all
Depends: ${misc:Depends}, ${elpa:depends}, semi
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24, emacs25
Description: Replace Agent-string Internal Library
 RAIL is a elisp library, translates codenames with Latin chars of
 FLIM/SEMI/XEmacs/UTF-2000-Mule/Meadow to Japanese characters (On
 irchat-pj, Japanize code name for "CTCP VERSION" return string).
 .
 It also provides a function compatible with genjis.el (a part of tm,
 that converts mule-version to Japanese characters).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_elpa:
	dh_elpa --emacs-loadpath='/usr/share/emacs/site-lisp/apel:/usr/share/emacs/site-lisp/flim:/usr/share/emacs/site-lisp/semi'

override_dh_auto_build:
	$(MAKE) rail-table-mule.el
	$(MAKE) rail-table-flim.el
	$(MAKE) rail-table-semi.el
	dh_auto_build

override_dh_auto_clean:
	$(MAKE) maintainer-clean

=== debian/watch ===
version=3
https://github.com/uwabami/rail/tags .*/(\d[\d\.]+)\.tar\.gz

## rail 1.2.14

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 clean:
 	-rm -f $(ELC)
 
-distclean: maintainer-clean
+distclean: clean
 
 maintainer-clean:
 	-rm -f *~ $(ELC) $(TABLES)

=== debian/changelog ===
rail (1.2.14-4) unstable; urgency=medium

  * Rebuild Again for newer dh-elpa (Closes: #1077119)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 05 Aug 2024 15:17:43 +0900

rail (1.2.14-3) unstable; urgency=medium

  * Rebuild against newer dh-elpa

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 30 Jul 2024 16:42:03 +0900

rail (1.2.14-2) unstable; urgency=medium

  * Support non-'emacs' flavors (Closes: #974978).
    Thanks to Tatsuya Kinoshita.
  * Bump d/watch version: 4
  * Fix Vcs-{Git,Browser}: remove '-guest'

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 19 Nov 2020 12:19:20 +0900

rail (1.2.14-1) unstable; urgency=medium

  * New upstream version 1.2.14
  * Drop compat file, rely on debhelper-compat and bump compat level to 13
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * Add DEP-3 patch tag

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 30 Oct 2020 13:55:06 +0900

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: editors
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
-Build-Depends: debhelper (>= 11), dh-elpa
+Build-Depends: debhelper-compat (= 13), dh-elpa
 Build-Depends-Indep: emacs | emacsen, semi
-Standards-Version: 4.2.0
-Vcs-Git: https://salsa.debian.org/uwabami-guest/rail.git
-Vcs-Browser: https://salsa.debian.org/uwabami-guest/rail
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/uwabami/rail.git
+Vcs-Browser: https://salsa.debian.org/uwabami/rail
 Homepage: http://uwabami.github.io/rail/
+Rules-Requires-Root: no
 
 Package: rail
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_elpa:
	dh_elpa --emacs-loadpath='/usr/share/apel:/usr/share/flim:/usr/share/semi'

override_dh_auto_build:
	$(MAKE) rail-table-mule.el
	$(MAKE) rail-table-flim.el
	$(MAKE) rail-table-semi.el
	dh_auto_build

override_dh_auto_clean:
	$(MAKE) maintainer-clean
